Update work-item blocker

Updates, resolves, reopens, or transitions one existing blocker.

PATCH/api/v1/work-items/:id/blockers/:blockerId

Authorization

work-items:blockersapi key scoperequired
Required scope when calling with an API key.

Path parameters

idstringrequired
Canonical work-item ID

Example: work_01k2...

blockerIdstringrequired
Blocker ID

Example: blocker_01k7...

Request body

actionstringoptional"update" | "resolve" | "transition"
Blocker command
titlestringoptional
Replacement title
severitystringoptional
Replacement severity
statusstringoptional
Target blocker status
resolutionstringoptional
Resolution note
confirmbooleanrequired
Must be true
Example request
{
  "action": "resolve",
  "resolution": "Credentials received",
  "confirm": true
}

Request

curl -X PATCH "https://www.digitalstack360.com/api/v1/work-items/work_01k2.../blockers/blocker_01k7..." \
  -H "Authorization: Bearer $DS_API_KEY" \
  -H "Idempotency-Key: work-42-blocker-update-v1" \
  -H "Content-Type: application/json" \
  -d '{"action":"resolve","resolution":"Credentials received","confirm":true}'

Examples use a placeholder key from your environment. Store your key in $DS_API_KEY — never commit it.

Response

200 OK
{
  "data": {
    "blocker": {
      "id": "blocker_01k7...",
      "status": "resolved",
      "resolution": "Credentials received"
    },
    "changed_fields": [
      "blockers"
    ]
  }
}

Errors

401
missing_auth

No credentials provided

401
invalid_api_key

API key is invalid or revoked

400
bad_request

Missing or invalid request fields

403
scope_insufficient

Key lacks the required write scope

403
scope_insufficient

Key lacks work-items:blockers scope

400
invalid_blocker_transition

Requested blocker status is invalid

404
blocker_not_found

Blocker does not exist or is outside the resolved workspace